Enneo

Conversation

Update a conversation

PATCH /ticket/{ticketId}/conversation/{conversationId}

PATCH /ticket/{ticketId}/conversation/{conversationId}

Update an existing conversation (internal notes and drafts can be updated; drafts can also be published by changing isDraft to false)

Path parameters

ticketIdintegerpathrequired

The ID of the ticket

conversationIdintegerpathrequired

The ID of the conversation to update

Request body

contentobjectbody

Updated content

typeenumbody

Content type Options: text, html

isDraftbooleanbody

Whether this is a draft (set to false to publish a draft)

tostring[]body

Recipients email addresses (for drafts)

ccstring[]body

CC email addresses (for drafts)

bccstring[]body

BCC email addresses (for drafts)

intentIdsinteger[]body

Array of intent IDs (for drafts)

attachmentsobject[]body

File attachments (for drafts)

subchannelIdintegerbody

Subchannel ID (for drafts)

Request Example

{
  "content": {
    "message": "string"
  },
  "type": "text",
  "isDraft": true,
  "to": [
    "string"
  ],
  "cc": [
    "string"
  ],
  "bcc": [
    "string"
  ],
  "intentIds": [
    1
  ],
  "attachments": [
    null
  ],
  "subchannelId": 1
}

Responses

200 — Successful operation

Response Example

{
  "success": true
}

400 — Bad request - Can only update internal notes or user doesn't own the note

403 — Unauthorized

404 — Ticket or conversation not found

500 — Internal error